#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 nonce
version:              1.0.7
visibility:           public
id:                   nonce-1.0.7-85i48wQogPKGgFpdiyDXED
key:                  nonce-1.0.7-85i48wQogPKGgFpdiyDXED
license:              BSD-3-Clause
copyright:            (c) 2014 Prowdsponsor
maintainer:           Prowdsponsor <opensource@prowdsponsor.com>
author:               Felipe Lessa <felipe.lessa@prowdsponsor.com>
homepage:             https://github.com/prowdsponsor/nonce
synopsis:             Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.

    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.

category:             Cryptography
abi:                  cab72f0d5c396af00de2b9fd8b224a22
exposed:              True
exposed-modules:      Crypto.Nonce
import-dirs:          /usr/lib/ghc-9.0.2/site-local/nonce-1.0.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/nonce-1.0.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-nonce
hs-libraries:         HSnonce-1.0.7-85i48wQogPKGgFpdiyDXED
depends:
    base-4.15.1.0 base64-bytestring-1.2.1.0-4eiDBc5nMqA1X3Go5ETdH3
    bytestring-0.10.12.1 entropy-0.4.1.10-CwQzC5Ky39pHQuKDZJMypk
    text-1.2.5.0 transformers-0.5.6.2
    unliftio-0.2.22.0-CgcRF7PSlaf7X9QyeaQDu5
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS

haddock-interfaces:   /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html:         /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

